<template>
  <div>
    <div class="h-[50vh] flex items-center justify-center flex-col">
      <hgroup
        class="flex flex-col items-center justify-center mb-3 mx-2 text-center"
      >
        <h1 class="font-bold font-serif text-6xl mb-1">
          Our approach to packaging containers.
        </h1>
        <h3>
          We try to build high-quality containers for your favourite software.
          On this page, you can learn more about how we try to achieve this.
        </h3>
      </hgroup>
    </div>
    <div class="mx-auto p-8 w-full flex gap-4 flex-wrap items-center justify-center">
      <UCard class="lg:max-w-md">
        <template #header>
          <h1>Built on stable distributions</h1>
        </template>
        All of our base images are built on stable, reliable distributions.
        Right now, we only support Ubuntu, because most other distros don't
        include RISC-V in their stable releases. We hope to support more
        distributions in the future. Very likely, Fedora will be the next
        distribution we support. Alpine and Debian are also on our radar.
      </UCard>
      <UCard class="lg:max-w-md">
        <template #header>
          <h1>Based on official images</h1>
        </template>
        We try to stay as close to a project's official images as possible. For
        our Ubuntu-based images, in most cases it's enough to change the base
        image, which for official images is usually Debian, to Ubuntu. In some
        cases, we need to make some changes to the Dockerfile to make it work on
        RISC-V, or use our own RISC-V prebuilt binaries.
      </UCard>
      <UCard class="lg:max-w-md">
        <template #header>
          <h1>100% Free Software</h1>
        </template>
        All of our images are 100% free software. We don't include any
        proprietary software in our images, and don't package projects with a
        non-FOSS license.
      </UCard>
      <UCard class="lg:max-w-md">
        <template #header>
          <h1>Contributing upstream</h1>
        </template>
        If we need to adjust software to make it work on RISC-V, we try to
        contribute our changes upstream. This way, we can help software get
        official RISC-V support, hopefully making this project obsolete in the
        future. For example, we recently ported
        <a href="https://github.com/git-lfs/git-lfs/pull/5438">git-lfs</a> and
        <a
          href="https://gitlab.com/gitlab-org/gitlab-runner/-/merge_requests/4226"
          >gitlab-runner</a
        >
        to RISC-V.
      </UCard>
    </div>
  </div>
</template>
